
package diagrams;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;


/**
 *
 * @author B. Gaertner
 */
public abstract class AbstractGrid implements RenderableElement {

    @Override
    public void renderOn(Graphics2D g) {
        Color oldColor = g.getColor();
        Font oldFont = g.getFont();
        this.renderGridOn(g);
        g.setFont(oldFont);
        g.setColor(oldColor);
    }

    public abstract int[] transform(double x, double y);
    public abstract void transform(double x, double y, int [] res);
    public abstract void transformViewCoordinates(int x, int y, PositionRecorder p);
    protected abstract void renderGridOn(Graphics2D g);

}
