
package diagrams;

/**
 *
 * @author B. Gaertner
 */
public abstract class AbstractScaleRange {

    protected double startValue;
    protected double endValue;
    protected double valueOfFirstTick;
    protected double valueOfLastTick;
    protected int numberOfIntervals;
    protected int firstLabelledTick;
    protected int labelDistance;

    protected AbstractScaleRange (double sv, double ev) {
        startValue = sv;
        endValue = ev;
        valueOfFirstTick = sv;
        valueOfLastTick = ev;
        numberOfIntervals = 10;
        firstLabelledTick = 1;
        labelDistance = 1;
    }
    protected AbstractScaleRange (double sv, double ev,
            int nroInt, int labDist) {
        startValue = sv;
        endValue = ev;
        valueOfFirstTick = sv;
        valueOfLastTick = ev;
        numberOfIntervals = nroInt;
        firstLabelledTick = 1;
        labelDistance = labDist;
    }

    protected AbstractScaleRange (double sv, double ev,
            int nroInt, int labDist, int firstTick) {
        startValue = sv;
        endValue = ev;
        valueOfFirstTick = sv;
        valueOfLastTick = ev;
        numberOfIntervals = nroInt;
        firstLabelledTick = firstTick;
        labelDistance = labDist;
    }

    public double width() {
        return this.endValue - this.startValue;
    }

    public void setNumberOfIntervals (int ni) {
        numberOfIntervals = ni;
    }
}
