
package diagrams;

import static java.lang.Math.log10;
import static java.lang.Math.pow;
/**
 *
 * Eine Instanz implementiert die Transformation einer logarithmischen Skala.
 * @author B. Gaertner
 */
public class LogarithmicTransformation extends LinearTransformation {

    private double  logB;

    public LogarithmicTransformation(double lb, double scale, double offset1, double offset2) {
        super(scale, offset1, offset2);
        logB = lb;
    }

    @Override
    public double transform(double value) {
        return super.transform(log10(value)/logB);
    }

    @Override
    public double inverseTransformation(int x) {
        double v = super.inverseTransformation(x);
        return pow(10.0, v*logB);
    }

    @Override
    public double inverseTransformation(double x) {
        double v = super.inverseTransformation(x);
        return pow(10.0, v*logB);
    }
}
