
package diagrams;

/**
 * Diese Klasse spezifiziert die Platzierung der Winkelangaben in
 * Polarkoordinaten.
 * Es handelt sich also um Layout-Angaben.
 * Das Intervall des Winkels eines unvollständigen Diagramms wird
 * nicht hier gespeichert, weil ein solches Intervall kein Layout-Merkmal,
 * sondern eine Skaleneigenschaft ist.
 * @author B. Gaertner
 */
public class PolarGridProperties {

    public final int tickDistance;
    public final int labelDistance;
    public final int inset;

    public PolarGridProperties (int a, int b, int ins) {
        tickDistance = a;
        labelDistance = b;
        inset = ins;
    }
}
