
package diagrams;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;

/**
 *
 * @author B. Gaertner
 */
public abstract class RenderableScale implements RenderableElement  {

    AbstractScale scale;
    ScaleBox box;
    Color axisColor;
    boolean hasAxisColor;

   protected RenderableScale(AbstractScale s, ScaleBox b)
    {
        scale = s;
        box = b;
        hasAxisColor = false;
    }

    public ScaleTransformation createTransformation(AbstractPaintRange b) {
        return scale.createTransformation(b);
    }

    protected abstract void renderScaleOn(Graphics2D g);

    public void axisColor(Color c) {
        axisColor = c;
        hasAxisColor = true;
    }

    @Override
    public void renderOn (Graphics2D g) {
        Color oldColor = g.getColor();
        Font oldFont = g.getFont();
        g.setColor(this.scale.scaleProps.lineColor);
        g.setFont(this.scale.scaleProps.scaleFont);
        this.renderScaleOn(g);
        g.setFont(oldFont);
        g.setColor(oldColor);
    }
}
