
package diagrams;

import java.awt.Insets;
import java.awt.Rectangle;
/**
 * Eine Instanz beschreibt die Platzierung einer Skala.
 * @author B. Gaertner
 */
public class ScaleBox {

    Rectangle paintRect;
    Insets insets;

    public ScaleBox (Rectangle pr, Insets v) {
        paintRect = pr;
        insets = v;
    }

    public int xStart() {
        return paintRect.x + insets.left;
    }

    public int yStart() {
        return paintRect.y + insets.top + this.scaleHeight();
    }

    //  ist  paintRect.width - 1  die richtige Zahl ?
    public int xEnd() {
        return paintRect.x + paintRect.width - 1 - insets.right;
    }

    public int yEnd() {
        return paintRect.y + paintRect.height - 1 - insets.bottom - this.scaleHeight();
    }

    public int scaleWidth() {
        return paintRect.width - 1 - (insets.left + insets.right);
    }

    public int scaleHeight() {
        return paintRect.height - 1 - (insets.top + insets.bottom);
    }
}
