
package diagrams;

/**
 * Diese Form des PaintRange wird in der Klasse PolarGrid benötigt.
 * @author B. Gaertner
 * @see PolarGrid
 */
public class SimplePaintRange extends AbstractPaintRange {

    private final int origin;
    private final int width;

    public SimplePaintRange (int a, int b) {
        origin = a;
        width = b;
    }

    @Override
    public int paintOrigin() {
        return origin;
    }

    @Override
    public int paintEndpoint() {
        return origin + width;
    }

    @Override
    public int paintWidth() {
        return width;
    }

}
