
package window;
import diagrams.PositionRecorder;
import java.util.Observable;
/**
 *
 * @author B. Gaertner
 */
public class PositionHolder extends Observable
           implements PositionProvider, PositionRecorder {
    //  auerdem sollte ich geeignete Formatierer bereithalten - aber wo?
    //  Die Formatierung fr die Positionsanzeige unterscheidet sich von
    //  Formatierung fr Skalenstriche, sollte aber ebenfalls als
    //  Diagrammeigenschaft festgelegt werden knnen.

    private double x;
    private double y;
    private boolean hasValidData;

    public PositionHolder () {
        hasValidData = false;
    }

    public void clearPosition() {
        hasValidData = false;
        this.setChanged();
        this.notifyObservers();
    }

    public void setPosition(double tx, double ty) {
        x = tx;
        y = ty;
        hasValidData = true;
        this.setChanged();
        this.notifyObservers();
    }

    public double getX() {
        return x;
    }

    public double getY() {
        return y;
    }

    public boolean hasValidPosition() {
        return hasValidData;
    }
}
