
package window;

import diagrams.ValueFormatter;
import java.util.Observable;
import java.util.Observer;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

/**
 *
 * @author B. Gaertner
 */
public class ValueDisplayField extends JLabel
       implements Observer{
    private ApplicationModel model;
    private ValueFormatter format;
    private KindOfValue valueType;

    public ValueDisplayField (ApplicationModel m, ValueFormatter fmt,
             KindOfValue vt) {
        model = m;
        format = fmt;
        valueType = vt;
        this.registerAsObserver();
        setHorizontalAlignment(SwingConstants.RIGHT);
        this.setText(format.format(model.getParameter(valueType)));
    }

    private void registerAsObserver() {
        model.getMessageChannel(valueType).addObserver(this);
    }

    @Override
    public void update(Observable o, Object arg) {
        this.setText(format.format(model.getParameter(valueType)));
    }
}
